import { defineComponent as d, resolveComponent as o, openBlock as l, createBlock as n, withCtx as c, createCommentVNode as u } from "vue";
const D = /* @__PURE__ */ d({
  __name: "Form",
  props: {
    formData: {
      type: Object,
      default: null
    }
  },
  setup(e) {
    return (i, t) => {
      const m = o("a-input"), r = o("a-textarea"), f = o("a-form-item");
      return l(), n(f, {
        label: e.formData.name
      }, {
        default: c(() => [
          e.formData.type == "input" ? (l(), n(m, {
            key: 0,
            value: e.formData.defaultValue,
            "onUpdate:value": t[0] || (t[0] = (a) => e.formData.defaultValue = a)
          }, null, 8, ["value"])) : u("", !0),
          e.formData.type == "textarea" ? (l(), n(r, {
            key: 1,
            value: e.formData.defaultValue,
            "onUpdate:value": t[1] || (t[1] = (a) => e.formData.defaultValue = a),
            placeholder: "",
            rows: 2
          }, null, 8, ["value"])) : u("", !0)
        ]),
        _: 1
      }, 8, ["label"]);
    };
  }
});
export {
  D as default
};
